osl::eval::ml::BishopEffectPieceKingRelative Class Reference

`#include <majorPiece.h>`

Inheritance diagram for osl::eval::ml::BishopEffectPieceKingRelative:

## Public Types

enum | { ONE_DIM = 19584 , DIM = ONE_DIM * 2*EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)

## Additional Inherited Members

Private Types inherited from osl::eval::ml::BishopEffectBase
enum | { ONE_DIM = 612 , DIM = ONE_DIM * 2 }
Static Private Member Functions inherited from osl::eval::ml::BishopEffectBase
static MultiInt | eval (const NumEffectState &state)
template<Player P>
static MultiInt | evalOne (const NumEffectState &state, Square bishop, Square myKing, Square opKing, Square ulp, Square urp, Square dlp, Square drp, bool isP)
static int | index (int x_diff, int y_diff, bool ur, bool promoted)
static int | index0 (int x_diff, int y_diff, PtypeO ptypeO, bool ur, bool promoted)
static int | index1 (Square king, Square from, PtypeO ptypeO, bool isP)
| 黒の角(馬)からの利きのある駒のindex {attack,defense}_{ul,ur,dl,dr} へのアクセスに使う from - 駒の位置 king - 玉の位置 ptypeO - 駒の種類，白からの利きの場合は反転． (BLACK,PTYPE_EDGE)もあり得る isP - 馬の場合
static int | index1 (int x_diff, int y_diff, PtypeO ptypeO, bool isP)
| 黒の角(馬)からの利きのある駒のindex {attack,defense}_{ul,ur,dl,dr} へのアクセスに使う (x_diff, y_diff) - 玉を基準に見た駒の相対位置 ptypeO - 駒の種類，白からの利きの場合は反転． (BLACK,PTYPE_EDGE)もあり得る isP - 馬の場合
static int | index2 (Square king, Square from, bool isP)
| 黒の角(馬)がある場所は空マスでないのでその分を補正するテーブル {attack,defense}_nospace へのアクセス king - 玉の位置 from - 角(馬)の位置 isP - 馬の場合
static int | index2 (int x_diff, int y_diff, bool isP)
| 黒の角(馬)がある場所は空マスでないのでその分を補正するテーブル {attack,defense}_nospace へのアクセス (x_diff, y_diff) - 玉を基準にしてみた角(馬)の相対位置 isP - 馬の場合
Static Private Attributes inherited from osl::eval::ml::BishopEffectBase
static CArray< MultiInt, 612 > | attack_table
static CArray< MultiInt, 612 > | defense_table
static CArray< MultiInt, 32 > | piece_table
static CArray< MultiInt, 23104 > | attack_ur
static CArray< MultiInt, 23104 > | attack_ul
static CArray< MultiInt, 23104 > | attack_dr
static CArray< MultiInt, 23104 > | attack_dl
static CArray< MultiInt, 23104 > | defense_ur
static CArray< MultiInt, 23104 > | defense_ul
static CArray< MultiInt, 23104 > | defense_dr
static CArray< MultiInt, 23104 > | defense_dl
static CArray< MultiInt, 722 > | attack_nospace
static CArray< MultiInt, 722 > | defense_nospace

## Detailed Description

Definition at line 419 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 422 of file majorPiece.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::BishopEffectPieceKingRelative::setUp | ( | const Weights & | weights | ) |

static

Definition at line 569 of file majorPiece.cc.

References osl::eval::ml::BishopEffectBase::attack_dl, osl::eval::ml::BishopEffectBase::attack_dr, osl::eval::ml::BishopEffectBase::attack_nospace, osl::eval::ml::BishopEffectBase::attack_table, osl::eval::ml::BishopEffectBase::attack_ul, osl::eval::ml::BishopEffectBase::attack_ur, osl::eval::ml::BishopEffectBase::defense_dl, osl::eval::ml::BishopEffectBase::defense_dr, osl::eval::ml::BishopEffectBase::defense_nospace, osl::eval::ml::BishopEffectBase::defense_table, osl::eval::ml::BishopEffectBase::defense_ul, osl::eval::ml::BishopEffectBase::defense_ur, osl::getPtype(), osl::eval::ml::BishopEffectBase::index(), osl::eval::ml::BishopEffectBase::index0(), osl::eval::ml::BishopEffectBase::index1(), osl::eval::ml::BishopEffectBase::index2(), osl::NStages, ONE_DIM, osl::eval::ml::BishopEffectBase::piece_table, osl::PTYPE_EDGE, osl::PTYPE_EMPTY, osl::PTYPEO_MAX, osl::PTYPEO_MIN, and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc